--- ./Configure-OSR6.00	2009-01-06 10:11:44.090000026 -0800
+++ ./Configure-OSR6	2009-01-06 20:58:13.560000011 -0800
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+HOST=i586-sco-sysv5
+INSTALL=/usr/gnu/bin/install
+NM=nm-p
+M4=/usr/gnu/bin/m4
+if [ "$1" = "-u" ]
+then
+  CC="cc -Kpthread -Kalloca"
+  CXX="CC -Kpthread -Kalloca"
+  CFLAGS="-I/usr/local/include -I/usr/include/stlport -O2"
+  CXXFLAGS="-I/usr/local/include -I/usr/include/stlport -O2"
+  LIBS="-lstlport_sysv5 -lm"
+else
+  CC="gcc -D_REENTRANT"
+  CXX="g++ -D_REENTRANT"
+  CFLAGS="-I/usr/local/include -O2 -Wall"
+  CXXFLAGS="-I/usr/local/include -O2 -Wall"
+  LIBS=""
+fi
+PATH=/usr/local/bin:/usr/gnu/bin:$PATH
+LDFLAGS="-L/usr/local/lib"
+PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/lib/pkgconfig
+export CC CXX CFLAGS CXXFLAGS NM M4 INSTALL PATH PKG_CONFIG_PATH LIBS LDFLAGS
+rm -f mout-configure
+./configure --prefix=/usr/local \
+            --disable-shared --enable-static \
+            --disable-defaults-service \
+            --mandir=/usr/local/man --infodir=/usr/local/share/info \
+            --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee mout-configure
--- ./Install-OSR6.00	2009-01-06 10:11:44.090000034 -0800
+++ ./Install-OSR6	2009-01-06 10:12:07.570000011 -0800
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+MOUT=mout-install
+D=/u/tmp/GConf
+DESTDIR=$D
+export DESTDIR
+
+[ -f $MOUT ] && mv $MOUT $MOUT-prev
+[ -d $D ] && rm -rf $D
+mkdir -p $D
+make install DESTDIR=$D 2>&1 | tee $MOUT
+
--- ./configure.00	2008-09-22 11:03:46.000000000 -0700
+++ ./configure	2009-01-08 13:41:12.380000060 -0800
@@ -21652,7 +21652,7 @@
 fi
 
 
-PKGCONFIG_MODULES='glib-2.0 > 2.14.0 gmodule-2.0 >= 2.7.0 gobject-2.0 >= 2.7.0 ORBit-2.0 >= 2.4.0 dbus-1 >= 1.0.0 dbus-glib-1 >= 0.74'
+PKGCONFIG_MODULES='glib-2.0 > 2.14.0 gmodule-2.0 >= 2.7.0 gobject-2.0 >= 2.7.0 ORBit-2.0 >= 2.4.0'
 PKGCONFIG_MODULES_WITH_XML="$PKGCONFIG_MODULES libxml-2.0"
 PKGCONFIG_MODULES_WITH_GTK=" $PKGCONFIG_MODULES gtk+-2.0 >= 2.0.0"
 PKGCONFIG_MODULES_WITH_XML_AND_GTK=" $PKGCONFIG_MODULES gtk+-2.0 libxml-2.0"
@@ -22058,12 +22058,12 @@
     pkg_cv_DEFAULTS_CFLAGS="$DEFAULTS_CFLAGS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gobject-2.0 dbus-1 dbus-glib-1 polkit-dbus\"") >&5
-  ($PKG_CONFIG --exists --print-errors "glib-2.0 gobject-2.0 dbus-1 dbus-glib-1 polkit-dbus") 2>&5
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gobject-2.0\"") >&5
+  ($PKG_CONFIG --exists --print-errors "glib-2.0 gobject-2.0") 2>&5
   ac_status=$?
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_DEFAULTS_CFLAGS=`$PKG_CONFIG --cflags "glib-2.0 gobject-2.0 dbus-1 dbus-glib-1 polkit-dbus" 2>/dev/null`
+  pkg_cv_DEFAULTS_CFLAGS=`$PKG_CONFIG --cflags "glib-2.0 gobject-2.0" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -22074,12 +22074,12 @@
     pkg_cv_DEFAULTS_LIBS="$DEFAULTS_LIBS"
  elif test -n "$PKG_CONFIG"; then
     if test -n "$PKG_CONFIG" && \
-    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gobject-2.0 dbus-1 dbus-glib-1 polkit-dbus\"") >&5
-  ($PKG_CONFIG --exists --print-errors "glib-2.0 gobject-2.0 dbus-1 dbus-glib-1 polkit-dbus") 2>&5
+    { ($as_echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 gobject-2.0\"") >&5
+  ($PKG_CONFIG --exists --print-errors "glib-2.0 gobject-2.0") 2>&5
   ac_status=$?
   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_DEFAULTS_LIBS=`$PKG_CONFIG --libs "glib-2.0 gobject-2.0 dbus-1 dbus-glib-1 polkit-dbus" 2>/dev/null`
+  pkg_cv_DEFAULTS_LIBS=`$PKG_CONFIG --libs "glib-2.0 gobject-2.0" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -22097,9 +22097,9 @@
         _pkg_short_errors_supported=no
 fi
         if test $_pkg_short_errors_supported = yes; then
-	        DEFAULTS_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "glib-2.0 gobject-2.0 dbus-1 dbus-glib-1 polkit-dbus" 2>&1`
+	        DEFAULTS_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "glib-2.0 gobject-2.0" 2>&1`
         else
-	        DEFAULTS_PKG_ERRORS=`$PKG_CONFIG --print-errors "glib-2.0 gobject-2.0 dbus-1 dbus-glib-1 polkit-dbus" 2>&1`
+	        DEFAULTS_PKG_ERRORS=`$PKG_CONFIG --print-errors "glib-2.0 gobject-2.0" 2>&1`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$DEFAULTS_PKG_ERRORS" >&5