--- ./dist/configure.uw	2003-12-03 21:10:02.000000000 +0000
+++ ./dist/configure	2003-12-17 17:36:41.150000032 +0000
@@ -1065,7 +1065,7 @@
   --with-mutexalign=ALIGNMENT
                           Selection of non-standard mutex alignment.
   --with-rpm=ARCHIVE      Path of RPM archive.
-  --with-tcl=DIR          Directory location of tclConfig.sh.
+  --with-tcl=DIR          Directory location of tcl8Config.sh.
   --with-uniquename=NAME  Build a uniquely named library.
   --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
   --with-pic              try to use only PIC/non-PIC objects [default=use
@@ -3513,6 +3513,8 @@
 ;;
 solaris*)
 	CPPFLAGS="$CPPFLAGS -D_REENTRANT";;
+sysv5*)
+	LIBS="$LIBS -lsocket -lnsl";;
 esac
 
 # Set CFLAGS/CXXFLAGS.  We MUST set the flags before we call autoconf
@@ -5405,7 +5407,7 @@
 # and OpenUNIX releases.  We can't make the test until we know which compiler
 # we're using.
 case "$host_os" in
-sysv5UnixWare*|sysv5OpenUNIX8*)
+sysv5*)
 	if test "$GCC" == "yes"; then
 		CPPFLAGS="$CPPFLAGS -pthread"
 		LDFLAGS="$LDFLAGS -pthread"
@@ -5914,7 +5916,7 @@
   lt_cv_file_magic_test_file=/lib/libc.so
   ;;
 
-sysv4 | sysv4.2uw2* | sysv4.3* | sysv5*)
+sysv4 | sysv4.2uw2* | sysv4.3*)
   case $host_vendor in
   motorola)
     lt_cv_deplibs_check_method='file_magic ELF [0-9][0-9]*-bit [ML]SB (shared object|dynamic lib) M[0-9][0-9]* Version [0-9]'
@@ -5938,7 +5940,7 @@
   esac
   ;;
 
-sysv5OpenUNIX8* | sysv5UnixWare7* | sysv5uw[78]* | unixware7* | sysv4*uw2*)
+sysv5* | unixware7* | sysv4*uw2*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 esac
@@ -8948,7 +8950,7 @@
       runpath_var=LD_RUN_PATH
       ;;
 
-   sysv5OpenUNIX8* | sysv5UnixWare7* |  sysv5uw[78]* | unixware7*)
+   unixware7*)
       no_undefined_flag='${wl}-z ${wl}text'
       if test "$GCC" = yes; then
 	archive_cmds='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
@@ -8963,9 +8965,8 @@
       no_undefined_flag=' -z text'
       # $CC -shared without GNU ld will not create a library from C++
       # object files and a static libstdc++, better avoid it by now
-      archive_cmds='$LD -G${allow_undefined_flag} -h $soname -o $lib $libobjs $deplibs $linker_flags'
-      archive_expsym_cmds='$echo "{ global:" > $lib.exp~cat $export_symbols | $SED -e "s/\(.*\)/\1;/" >> $lib.exp~$echo "local: *; };" >> $lib.exp~
-  		$LD -G${allow_undefined_flag} -M $lib.exp -h $soname -o $lib $libobjs $deplibs $linker_flags~$rm $lib.exp'
+      archive_cmds='$LD -G${allow_undefined_flag} -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
+      archive_expsym_cmds='$LD -G${allow_undefined_flag} -Bexport:$export_symbols -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
       hardcode_libdir_flag_spec=
       hardcode_shlibpath_var=no
       runpath_var='LD_RUN_PATH'
@@ -11857,6 +11858,11 @@
     # FIXME: insert proper C++ library support
     ld_shlibs_CXX=no
     ;;
+  sysv5*)
+    archive_cmds_need_lc_CXX=no
+    archive_cmds_CXX='$LD -G${allow_undefined_flag} -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
+    archive_expsym_cmds_CXX='$LD -G${allow_undefined_flag} -Bexport:$export_symbols -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
+    ;;
   sco*)
     archive_cmds_need_lc_CXX=no
     case $cc_basename in
@@ -11965,9 +11971,6 @@
 	;;
     esac
     ;;
-  sysv5OpenUNIX8* | sysv5UnixWare7* | sysv5uw[78]* | unixware7*)
-    archive_cmds_need_lc_CXX=no
-    ;;
   tandem*)
     case $cc_basename in
       NCC)
@@ -15469,7 +15472,7 @@
       runpath_var=LD_RUN_PATH
       ;;
 
-   sysv5OpenUNIX8* | sysv5UnixWare7* |  sysv5uw[78]* | unixware7*)
+   unixware7*)
       no_undefined_flag_F77='${wl}-z ${wl}text'
       if test "$GCC" = yes; then
 	archive_cmds_F77='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
@@ -15484,9 +15487,8 @@
       no_undefined_flag_F77=' -z text'
       # $CC -shared without GNU ld will not create a library from C++
       # object files and a static libstdc++, better avoid it by now
-      archive_cmds_F77='$LD -G${allow_undefined_flag} -h $soname -o $lib $libobjs $deplibs $linker_flags'
-      archive_expsym_cmds_F77='$echo "{ global:" > $lib.exp~cat $export_symbols | $SED -e "s/\(.*\)/\1;/" >> $lib.exp~$echo "local: *; };" >> $lib.exp~
-  		$LD -G${allow_undefined_flag} -M $lib.exp -h $soname -o $lib $libobjs $deplibs $linker_flags~$rm $lib.exp'
+      archive_cmds_F77='$LD -G${allow_undefined_flag} -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
+      archive_expsym_cmds_F77='$LD -G${allow_undefined_flag} -Bexport:$export_symbols -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
       hardcode_libdir_flag_spec_F77=
       hardcode_shlibpath_var_F77=no
       runpath_var='LD_RUN_PATH'
@@ -17734,7 +17736,7 @@
       runpath_var=LD_RUN_PATH
       ;;
 
-   sysv5OpenUNIX8* | sysv5UnixWare7* |  sysv5uw[78]* | unixware7*)
+   unixware7*)
       no_undefined_flag_GCJ='${wl}-z ${wl}text'
       if test "$GCC" = yes; then
 	archive_cmds_GCJ='$CC -shared ${wl}-h ${wl}$soname -o $lib $libobjs $deplibs $compiler_flags'
@@ -17749,9 +17751,8 @@
       no_undefined_flag_GCJ=' -z text'
       # $CC -shared without GNU ld will not create a library from C++
       # object files and a static libstdc++, better avoid it by now
-      archive_cmds_GCJ='$LD -G${allow_undefined_flag} -h $soname -o $lib $libobjs $deplibs $linker_flags'
-      archive_expsym_cmds_GCJ='$echo "{ global:" > $lib.exp~cat $export_symbols | $SED -e "s/\(.*\)/\1;/" >> $lib.exp~$echo "local: *; };" >> $lib.exp~
-  		$LD -G${allow_undefined_flag} -M $lib.exp -h $soname -o $lib $libobjs $deplibs $linker_flags~$rm $lib.exp'
+      archive_cmds_GCJ='$LD -G${allow_undefined_flag} -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
+      archive_expsym_cmds_GCJ='$LD -G${allow_undefined_flag} -Bexport:$export_symbols -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
       hardcode_libdir_flag_spec_GCJ=
       hardcode_shlibpath_var_GCJ=no
       runpath_var='LD_RUN_PATH'
@@ -21036,7 +21037,7 @@
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lnsl  $LIBS"
+LIBS="-lsocket -lnsl  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -21085,8 +21086,8 @@
 echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_svc_run" >&5
 echo "${ECHO_T}$ac_cv_lib_nsl_svc_run" >&6
 if test $ac_cv_lib_nsl_svc_run = yes; then
-  LIBS="-lnsl $LIBS"; LIBTSO_LIBS="-lnsl $LIBTSO_LIBS";
-		    LIBJSO_LIBS="-lnsl $LIBJSO_LIBS"
+  LIBS="-lsocket -lnsl $LIBS"; LIBTSO_LIBS="-lsocket -lnsl $LIBTSO_LIBS";
+		    LIBJSO_LIBS="-lsocket -lnsl $LIBJSO_LIBS"
 fi
 
 fi
@@ -21265,11 +21266,11 @@
 
 	    # First check to see if --with-tclconfig was specified.
 	    if test "${with_tclconfig}" != no; then
-		if test -f "${with_tclconfig}/tclConfig.sh" ; then
+		if test -f "${with_tclconfig}/tcl8Config.sh" ; then
 		    ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
 		else
-		    { { echo "$as_me:$LINENO: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&5
-echo "$as_me: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&2;}
+		    { { echo "$as_me:$LINENO: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" >&5
+echo "$as_me: error: ${with_tclconfig} directory doesn't contain tcl8Config.sh" >&2;}
    { (exit 1); exit 1; }; }
 		fi
 	    fi
@@ -21277,7 +21278,7 @@
 	    # check in a few common install locations
 	    if test x"${ac_cv_c_tclconfig}" = x ; then
 		for i in `ls -d /usr/local/lib 2>/dev/null` ; do
-		    if test -f "$i/tclConfig.sh" ; then
+		    if test -f "$i/tcl8Config.sh" ; then
 			ac_cv_c_tclconfig=`(cd $i; pwd)`
 			break
 		    fi
@@ -21298,13 +21299,13 @@
 	fi
 
 
-	echo "$as_me:$LINENO: checking for existence of $TCL_BIN_DIR/tclConfig.sh" >&5
-echo $ECHO_N "checking for existence of $TCL_BIN_DIR/tclConfig.sh... $ECHO_C" >&6
+	echo "$as_me:$LINENO: checking for existence of $TCL_BIN_DIR/tcl8Config.sh" >&5
+echo $ECHO_N "checking for existence of $TCL_BIN_DIR/tcl8Config.sh... $ECHO_C" >&6
 
-	if test -f "$TCL_BIN_DIR/tclConfig.sh" ; then
+	if test -f "$TCL_BIN_DIR/tcl8Config.sh" ; then
 		echo "$as_me:$LINENO: result: loading" >&5
 echo "${ECHO_T}loading" >&6
-		. $TCL_BIN_DIR/tclConfig.sh
+		. $TCL_BIN_DIR/tcl8Config.sh
 	else
 		echo "$as_me:$LINENO: result: file not found" >&5
 echo "${ECHO_T}file not found" >&6
@@ -27113,7 +27114,7 @@
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lsocket  $LIBS"
+LIBS="-lsocket -lnsl $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -27156,7 +27157,7 @@
 echo "$as_me:$LINENO: result: $ac_cv_lib_socket_main" >&5
 echo "${ECHO_T}$ac_cv_lib_socket_main" >&6
 if test $ac_cv_lib_socket_main = yes; then
-  LOAD_LIBS="$LOAD_LIBS -lsocket"
+  LOAD_LIBS="$LOAD_LIBS -lsocket -lnsl"
 fi
 ac_cv_lib_socket=ac_cv_lib_socket_main
 