--- ./ijs/Makefile.in.uw	2002-04-23 11:58:32.000000000 +0000
+++ ./ijs/Makefile.in	2004-01-13 22:38:43.800000075 +0000
@@ -1,13 +1,14 @@
 # Unix
 
 CC=@CC@
-CFLAGS=-g -Wall -ansi -pedantic -Wmissing-prototypes
+#CFLAGS=-g -Wall -Wmissing-prototypes
+CFLAGS=
 LDLIBS=
 OBJ=.@OBJEXT@
 EXE=@EXEEXT@
 
 # todo: this needs to be .dylib on OS X - write a test
-SHARED_LDFLAGS=-shared
+SHARED_LDFLAGS=-G
 SHARED_OBJ=.so
 #SHARED_LDFLAGS=-dylib
 #SHARED_OBJ=.dylib
--- ./ijs/unix.mak.uw	2002-04-23 14:01:18.000000000 +0000
+++ ./ijs/unix.mak	2004-01-13 22:38:43.810000015 +0000
@@ -1,6 +1,7 @@
 # Linux
-CC=gcc
-CFLAGS=-g -Wall -ansi -pedantic -Wmissing-prototypes
+CC=cc
+#CFLAGS=-g -Wall -Wmissing-prototypes
+CFLAGS=
 LDLIBS=
 OBJ=.o
 EXE=
@@ -14,4 +15,4 @@
 	$(RM) *~ gmon.out core ijs_spec.log ijs_spec.tex ijs_spec.aux
 
 ijs_spec.pdf:	ijs_spec.sgml
-	db2pdf ijs_spec.sgml
\ No newline at end of file
+	db2pdf ijs_spec.sgml
--- ./lib/Fontmap.uw	2003-08-19 15:24:41.000000000 +0000
+++ ./lib/Fontmap	2004-01-13 22:39:34.300000010 +0000
@@ -3,6 +3,5 @@
 (Fontmap.X11-auto) .runlibfile
 (Fontmap.GS) .runlibfile
 (Fontmap.kanji) .runlibfile
-(Fontmap.rus) .runlibfile
 (Fontmap.CID) .runlibfile
 (Fontmap.greek) .runlibfile
--- ./pstoraster/cups.mak.uw	2003-08-20 15:12:43.000000000 +0000
+++ ./pstoraster/cups.mak	2004-01-13 22:38:43.810000033 +0000
@@ -24,9 +24,9 @@
 
 cups_=	$(GLOBJ)gdevcups.$(OBJ)
 
-CUPSSERVER= $(install_prefix)`cups-config --serverbin`
-CUPSCONFIG= $(install_prefix)`cups-config --serverroot`
-CUPSDATA= $(install_prefix)`cups-config --datadir`
+CUPSSERVER= $(install_prefix)`/usr/lib/cups/bin/cups-config --serverbin`
+CUPSCONFIG= $(install_prefix)`/usr/lib/cups/bin/cups-config --serverroot`
+CUPSDATA= $(install_prefix)`/usr/lib/cups/bin/cups-config --datadir`
 
 $(DD)cups.dev:	$(cups_) $(GLD)page.dev
 	$(SETPDEV2) $(DD)cups $(cups_)
--- ./src/gdevl4r.c.uw	2002-10-12 23:24:34.000000000 +0000
+++ ./src/gdevl4r.c	2004-01-13 22:38:43.810000088 +0000
@@ -87,7 +87,7 @@
     gx_device_common;
     gx_prn_device_common;
     gx_lprn_device_common;
-    lips_params_common;
+    lips_params_common
 };
 
 typedef struct gx_device_lips4_s gx_device_lips4;
@@ -95,8 +95,8 @@
     gx_device_common;
     gx_prn_device_common;
     gx_lprn_device_common;
-    lips_params_common;
-    lips4_params_common;
+    lips_params_common
+    lips4_params_common
 };
 
 private gx_device_procs lips2p_prn_procs =
--- ./src/gdevl4v.c.uw	2002-10-12 23:24:34.000000000 +0000
+++ ./src/gdevl4v.c	2004-01-13 22:38:43.820000053 +0000
@@ -108,8 +108,8 @@
 typedef struct gx_device_lips4v_s
 {
     gx_device_vector_common;
-    lips_params_common;
-    lips4_params_common;
+    lips_params_common
+    lips4_params_common
     bool first_page;
     bool ManualFeed;
     bool Duplex;
@@ -225,8 +225,8 @@
     0 /* FontDL */ ,
     -1 /* current_font */ ,
     0 /* count */ ,
-    {},
-    {}
+    NULL,
+    NULL
 };
 
 /* Vector device implementation */
--- ./configure.uw	2003-10-09 19:54:02.000000000 +0000
+++ ./configure	2004-01-13 22:38:43.960000069 +0000
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.57.
 #
@@ -1961,13 +1961,13 @@
   CFLAGS=$ac_save_CFLAGS
 elif test $ac_cv_prog_cc_g = yes; then
   if test "$GCC" = yes; then
-    CFLAGS="-g -O2"
+    CFLAGS="-g"
   else
     CFLAGS="-g"
   fi
 else
   if test "$GCC" = yes; then
-    CFLAGS="-O2"
+    CFLAGS=
   else
     CFLAGS=
   fi
@@ -2638,13 +2638,13 @@
   CXXFLAGS=$ac_save_CXXFLAGS
 elif test $ac_cv_prog_cxx_g = yes; then
   if test "$GXX" = yes; then
-    CXXFLAGS="-g -O2"
+    CXXFLAGS="-g"
   else
     CXXFLAGS="-g"
   fi
 else
   if test "$GXX" = yes; then
-    CXXFLAGS="-O2"
+    CXXFLAGS=
   else
     CXXFLAGS=
   fi
@@ -2838,7 +2838,7 @@
 else
     cflags_to_try=
 fi
-optflags_to_try="-O2"
+optflags_to_try=
 
 echo "$as_me:$LINENO: checking supported compiler flags" >&5
 echo $ECHO_N "checking supported compiler flags... $ECHO_C" >&6
@@ -5145,7 +5145,7 @@
 
 CUPSDEV=""
 CUPSINCLUDE=""
-CUPSCONFIG=":"
+CUPSCONFIG="/usr/lib/cups/bin/cups-config"
 cups_datadir="/usr/share/cups"
 cups_serverroot="/etc/cups"
 cups_serverbin="/usr/lib/cups"
@@ -5165,7 +5165,7 @@
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
+for as_dir in /usr/lib/cups/bin:$PATH
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
@@ -5841,7 +5841,7 @@
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lX11  $LIBS"
+LIBS="-lX11 -lsocket $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -5894,7 +5894,7 @@
 #define HAVE_LIBX11 1
 _ACEOF
 
-  LIBS="-lX11 $LIBS"
+  LIBS="-lX11 -lsocket $LIBS"
 
 fi
 
@@ -6031,7 +6031,7 @@
 
 	if test "$ac_cv_lib_Xt_XtAppCreateShell" = yes; then
 		X_DEVS="\$(DD)x11.dev \$(DD)x11alpha.dev \$(DD)x11cmyk.dev \$(DD)x11mono.dev \$(DD)x11_.dev \$(DD)x11alt_.dev \$(DD)x11cmyk2.dev \$(DD)x11cmyk4.dev \$(DD)x11cmyk8.dev \$(DD)x11rg16x.dev \$(DD)x11rg32x.dev \$(DD)x11gray2.dev \$(DD)x11gray4.dev"
-		X_LIBS="-lXt -lXext -lX11"
+		X_LIBS="-lXt -lXext -lX11 -lsocket"
 	fi
 fi
 